Bug 717863 - Review Request: perl-Locale-Codes - Distribution of modules to handle locale codes
Summary: Review Request: perl-Locale-Codes - Distribution of modules to handle locale ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-30 08:39 UTC by Petr Pisar
Modified: 2011-09-13 06:10 UTC (History)
3 users (show)

Fixed In Version: perl-Locale-Codes-3.18-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 06:10:30 UTC
Type: ---
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-06-30 08:39:18 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Locale-Codes/perl-Locale-Codes.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Locale-Codes/perl-Locale-Codes-3.17-1.fc15.src.rpm
Description:
Locale-Codes is a distribution containing a set of modules. The modules
each deal with different types of codes which identify parts of the locale
including languages, countries, currency, etc.


Per announcement of module maintainer on perl-porters (http://permalink.gmane.org/gmane.comp.lang.perl.perl5.porters/96219) this Perl core package will be updated more frequently than perl is released. Thus we need to make this package dual-lived and to sub-package it from main perl package. This package will be pushed to Fedora repositories after sub-packaging concerned core modules.

Comment 1 Emmanuel Seyman 2011-07-31 13:03:25 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-07-31 13:14:35 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3241228

 [x] Rpmlint output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
f0181dd8bf625db584fddbd3f5e2143b  Locale-Codes-3.17.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3241228

 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass

All tests successful.
Files=26, Tests=481,  4 wallclock secs ( 0.12 usr  0.04 sys +  3.02 cusr  0.22 csys =  3.40 CPU)
Result: PASS

APPROVED.

Comment 3 Petr Pisar 2011-08-15 11:42:34 UTC
New Package SCM Request
=======================
Package Name: perl-Locale-Codes 
Short Description: Distribution of modules to handle locale codes
Owners: ppisar mmaslano psabata
Branches: f16
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2011-08-16 12:19:53 UTC
Git done (by process-git-requests).

Comment 5 Petr Pisar 2011-08-30 10:50:49 UTC
Thank you for the review and the repository.

Fixed in F17 as perl-5.14.1-187.fc17 and perl-Locale-Codes-3.17-1.fc17.

Comment 6 Fedora Update System 2011-08-30 11:15:34 UTC
perl-5.14.1-187.fc16,perl-Locale-Codes-3.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-5.14.1-187.fc16,perl-Locale-Codes-3.17-1.fc16

Comment 7 Fedora Update System 2011-08-30 20:48:44 UTC
Package perl-5.14.1-187.fc16, perl-Locale-Codes-3.17-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.14.1-187.fc16 perl-Locale-Codes-3.17-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-5.14.1-187.fc16,perl-Locale-Codes-3.17-1.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-01 19:01:32 UTC
Package perl-Locale-Codes-3.18-1.fc16, perl-5.14.1-187.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Locale-Codes-3.18-1.fc16 perl-5.14.1-187.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-5.14.1-187.fc16,perl-Locale-Codes-3.18-1.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-09-13 06:10:19 UTC
perl-Locale-Codes-3.18-1.fc16, perl-5.14.1-187.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.